Package commoble.morered.client

# Class ClientEvents

java.lang.Object
commoble.morered.client.ClientEvents

public class ClientEvents extends Object

## Constructor Summary

Constructors
Constructor
Description
`ClientEvents()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addClientListeners(net.minecraftforge.fml.ModLoadingContext modContext, net.minecraftforge.fml.javafmlmod.FMLJavaModLoadingContext fmlContext, net.minecraftforge.eventbus.api.IEventBus modBus, net.minecraftforge.eventbus.api.IEventBus forgeBus)`
`static void`
`onClientSetup(net.minecraftforge.fml.event.lifecycle.FMLClientSetupEvent event)`
`static void`
`onInteract(net.minecraftforge.client.event.InputEvent.InteractionKeyMappingTriggered event)`
`static void`
`onRegisterBlockColors(net.minecraftforge.client.event.RegisterColorHandlersEvent.Block event)`
`static void`
`onRegisterItemColors(net.minecraftforge.client.event.RegisterColorHandlersEvent.Item event)`
`static void`
`onRegisterModelLoaders(net.minecraftforge.client.event.ModelEvent.RegisterGeometryLoaders event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClientEvents

public ClientEvents()

## Method Details

### addClientListeners

public static void addClientListeners(net.minecraftforge.fml.ModLoadingContext modContext, net.minecraftforge.fml.javafmlmod.FMLJavaModLoadingContext fmlContext, net.minecraftforge.eventbus.api.IEventBus modBus, net.minecraftforge.eventbus.api.IEventBus forgeBus)

### onClientSetup

public static void onClientSetup(net.minecraftforge.fml.event.lifecycle.FMLClientSetupEvent event)

### onRegisterModelLoaders

public static void onRegisterModelLoaders(net.minecraftforge.client.event.ModelEvent.RegisterGeometryLoaders event)

### onRegisterBlockColors

public static void onRegisterBlockColors(net.minecraftforge.client.event.RegisterColorHandlersEvent.Block event)

### onRegisterItemColors

public static void onRegisterItemColors(net.minecraftforge.client.event.RegisterColorHandlersEvent.Item event)

### onInteract

public static void onInteract(net.minecraftforge.client.event.InputEvent.InteractionKeyMappingTriggered event)